
export default class Routing {
  static getShowcase14xVersion() {
      return browser.config.baseUrl + 'eui-showcase-ux-components-14.x';
  }
  static getEuiShowcaseHomeUrl() {
      return this.getShowcase14xVersion() + '/home';
  }
  static getShowcaseStyleGuideUrl() {
      return this.getShowcase14xVersion() + '/style-guide-legacy';
  }
  static getShowcaseStyleGuideNextUrl() {
    return this.getShowcase14xVersion() + '/style-guide';
}
  static getComponentsUrl() {
    return this.getShowcaseStyleGuideUrl() + '/components';
  }
  static getComponentsNextUrl() {
    return this.getShowcaseStyleGuideNextUrl() + '/components';
  }
  static getComponentsCompositions() {
    return this.getShowcaseStyleGuideNextUrl() + '/compositions';
  }
  static getDirectivesNextUrl() {
    return this.getShowcaseStyleGuideNextUrl() + '/directives';
  }
  static getLayoutComponentsUrl() {
    return this.getShowcaseStyleGuideUrl() + '/layout-components';
  }
  static getLayoutComponentsNextUrl() {
    return this.getShowcaseStyleGuideNextUrl() + '/layout-components';
  }
  static getUxComponentUrl(componentName) {
    return this.getComponentsUrl() + '/' + componentName;
  }
  static getUxLayoutComponentUrl(layoutComponentName) {
    return this.getLayoutComponentsUrl() + '/' + layoutComponentName;
  }
  static getEUIComponentUrl(componentName) {
    return this.getComponentsNextUrl() + '/' + componentName;
  }
  static getEUILayoutComponentUrl(componentName) {
    return this.getLayoutComponentsNextUrl() + '/' + componentName;
  }
  static getEUICompositionsComponentUrl(componentName) {
    return this.getComponentsCompositions() + '/' + componentName;
  }
  static getEUIDirectivesUrl(componentName) {
    return this.getDirectivesNextUrl() + '/' + componentName;
  }
}
